> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authoring Decision



## OpenAPI

````yaml https://api.ionworks.com/openapi.json post /projects/{project_id}/dashboards/{dashboard_id}/authoring-decision
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /projects/{project_id}/dashboards/{dashboard_id}/authoring-decision:
    post:
      tags:
        - dashboards
      summary: Authoring Decision
      operationId: >-
        authoring_decision_projects__project_id__dashboards__dashboard_id__authoring_decision_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project Id
        - name: dashboard_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dashboard Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthoringDecision'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AuthoringDecision:
      properties:
        plot_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Plot Id
        name:
          type: string
          maxLength: 200
          minLength: 1
          title: Name
        new_plot_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: New Plot Id
        decision:
          type: string
          enum:
            - discarded
            - saved
            - saved_as_new
          title: Decision
      additionalProperties: false
      type: object
      required:
        - name
        - decision
      title: AuthoringDecision
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````